System for installing command-line Unix applications and tools on OS X. Free and open-source.

learn more… | top users | synonyms

0
votes
0answers
67 views

How to update OpenSSL with Homebrew on OS X 10.9.5?

Before updating OS X from 10.9.4 to x.x.5, I had OpenSSL updated through Homebrew to 1.0.1g. (I guess only symlinks are changed and both versions existed on the machine) With the OS update, the ...
0
votes
1answer
429 views

Suddenly I cannot update HomeBrew

I am trying to fix some brew doctor error but now after manually erased some files that brew doctor suggested I get the following error when trying to do a brew update : error: cannot open ...
0
votes
0answers
173 views

How to launch Gnumeric after installing using Homebrew

I've installed Gnumeric using Homebrew. I first manually installed XQuartz (as required) and then ran brew install gnumeric. Everything seems to have installed fine. Now how do I launch it? When I ...
0
votes
1answer
80 views

Completely restore root and home folder after many problems with Macports and Homebrew

I had a long day battling with installing a LAMP environment with Macports. I installed several things, had many problems, tried uninstalling them (not sure if I did), and on and on. Then, I tried ...
0
votes
0answers
32 views

Which user's privileges do I use to run MariaDB?

I installed mariadb from Homebrew. It'll be used for CMS access through PHP. I want the DB to start when the system starts up so I added the homebrew/ mariadb-supplied launchctl plist to ...
0
votes
0answers
1k views

homebrew formula not found error for a removed package

I get this message every time I open a terminal in mac Error: No available formula for php55 Please tap it and then try again: brew tap josegonzalez/php php is not installed on my system and when ...
0
votes
0answers
212 views

download lynda.com video playlist

I have an account at lynda.com and wish to download all video trainings in my playlist. Howto do that with OS X and brew Open Source software? Sadly youtube-dl don't offer support for lynda.com
0
votes
1answer
130 views

How to install gource with homebrew?

I am trying to install gource via homebrew. It yields in the following error: $ brew install gource ==> Downloading ...
0
votes
1answer
324 views

How to fix npm to find correct node enviorment?

I have installed homebrew via boxen. I did not know that npm update -g is a bad thing to do, as npm runs amok trying to update itself. Hence, npm stopped working. I am now trying to get node and npm ...
0
votes
0answers
531 views

Memcached in PHP with Homebrew

I'm trying to use Memcached in PHP with Homebrew. Installation was succeesfull, but when I tried to run php in cl I've got this error: PHP Warning: PHP Startup: Unable to load dynamic library ...
0
votes
0answers
108 views

Truecrypt install fails - 3 out of 6 hunks FAILED

The first is just to show you where the installation is at this moment: n102:~ hendrikwindel$ brew info truecrypt truecrypt: stable 7.1a http://truecrypt.org/ Conflicts with: fuse4x Not ...
0
votes
0answers
159 views

Can't Install SDL With Homebrew

Help, i'm trying to install sdl, but it keeps giving errors. I have Mac OS 10.6.0, i'm using the osx-gcc instead of Xcode, because i got this mac refurbished, and it didn't come with the install cd. ...
0
votes
0answers
39 views

Upgrading a dev 2011 MBA to Mavericks

I have a 2011 MBA (i5 1.7Ghz with 4GB RAM) running Lion 10.7.5. I'm tempted to do a Mavericks upgrade (in the particular hope of improving power and memory management), but since this is a development ...
0
votes
0answers
141 views

Can I reinstall cups without reinstalling everything?

I have managed to mangle my OsX Mavericks installation and attempted to use "brew install cups-pdf". Is there any way to just reinstall the base OsX Cups software short of a reinstall of the whole ...
0
votes
0answers
31 views

MySQL instance is being used?

I would like to know which instance is being used, which version is responding the the mysql commannd. I am on OSX 10.9.1 I have homebrew MySQL 5.6.16 installed at : /usr/local/Cellar/ But I also ...
0
votes
1answer
28 views

How can I update homebrew and upgrade the new packages in one step?

I often run brew update followed by brew upgrade. Can I do that in one step?
0
votes
0answers
82 views

GoogleCL hangs in OS X

My GoogleCL installed with Homebrew brew install googlecl has problems. First I need to install gdata with pip install gdata and then after executing simple commands like google picasa list it ...
0
votes
0answers
158 views

Unable to install Gtk for RGtk2 on OS X 10.9

I have been trying to install Gtk to use it with RGtk2 on OS X 10.9. So far the following options haven't worked: building from source (did get some errors during the meta-gtk-osx-bootstrap build) ...
0
votes
1answer
141 views

Homebrew vim already installed when brew update displays Vim as a updated formula

simple questions, when I run brew update here is the result [admin@mb125:~/src/test] : brew update Updated Homebrew from 16bd5c86 to 24073dc0. ==> New Formulae mal4s nbimg ==> Updated ...
0
votes
1answer
433 views

GCC 4.7 (via brew) keeps including from “/usr/include/c++/4.2.1”

This one is driving me crazy: I need to use lot of stuff which simply does not compile with the standard clang/llvm compilers which come with Xcode 5 (on Mac OS X 10.8), so I decided to install gcc47 ...
0
votes
1answer
247 views

How to completely remove homebrew?

I am seeking for the equivalent of rvm implode In the Ruby rvm world rvm implode completely uninstalls everything ruby related installed via rvm, including rvm too. Is there anything similar for ...
0
votes
0answers
31 views

to run latest emacs in terminal by typing “emacs” [duplicate]

Question: Because I use emacs-live, I used homebrew to install emacs-24.3. Now everytime I want to launch emacs of version 24.3 in terminal, I have to type "emacs-24.3" --- if I just type "emacs", it ...
0
votes
1answer
47 views

Is it possible to create an own MacPorts (proxy)repository/server?

Is it possible to deploy MacPorts server on an own server periodically updating it from global one (i.e. create MacPorts distribution/update proxy server)? So that all computers within organization ...
0
votes
1answer
192 views

Unable to install software using brew install

I am unable to install software using brew install. I have tried brew cleanup & brew update, and deleting the file, but it just does not work! This is the error message: ==> Downloading ...
0
votes
1answer
1k views

brew uses /usr/bin/autom4te in stead of /usr/local/bin/autom4te

I'm trying to brew weechat, which has p11-kit as a dependency. $ brew install p11-kit ==> Downloading http://p11-glue.freedesktop.org/releases/p11-kit-0.18.1.tar.gz Already downloaded: ...
0
votes
2answers
571 views

How can I install tk on OS X?

I am getting warnings and empty popup boxes when compiling and loading R packages that depend on tk. They say that tk was not installed correctly. I am using homebrew, but I can't tell which package ...
0
votes
1answer
513 views

Problem updating homebrew

Trying to update homebrew, I get this: $ brew update error: Your local changes to the following files would be overwritten by merge: .gitignore Library/Contributions/brew_bash_completion.sh ...
0
votes
0answers
2k views

Can't install Homebrew on MacBook Pro, password field won't input

I need to install Homebrew. I am unable to input the password when prompted in the Terminal - nothing happens when I type, only when I hit enter. I follow the instructions specified in the book I'm ...
0
votes
1answer
427 views

Installing wine with osxwinebuilder

I try to install wine with osxwinebuilder. When I do, I get the following error: ... checking if ccache g++ supports -c -o file.o... yes checking if ccache g++ supports -c -o file.o... (cached) yes ...
0
votes
1answer
255 views

Installing Xcode 4.2 on top of Xcode 4.1

I was wondering, is it safe to install Xcode 4.2 on top of Xcode 4.1 ? Will it break things like homebrew or other, that uses command line tools provided by Xcode ?
-1
votes
2answers
258 views

Fatal error after brew update and brew upgrade

$ brew update Error: Permission denied - /usr/local/Library/Formula/abyss-explorer.rb $ brew upgrade ==> Upgrading 20 outdated packages, with result: ant 1.9.4, automake 1.14.1, elasticsearch ...